<ion-menu [content]="content">
    <ion-header>
        <div class="user-header" *ngIf="userDetail">
            <div *ngIf="!userDetail.profilePicture" class="logo" style="background: url('/assets/imgs/default-user.png')"></div>
            <div *ngIf="userDetail.profilePicture" class="logo" [style.backgroundImage]="'url(' + userDetail.profilePicture + ')'"></div>
            <div class="info-user">
                <p class="name">{{userDetail.username}}</p>
                <p class="type" *ngIf="cardScore">{{cardScore.curentName}}</p>
                <p class="score">{{ 'sidemenu.point' | translate}}: 1900</p>
            </div>
        </div>
    </ion-header>
    <ion-content>
        <ion-list>
            <button menuClose ion-item *ngFor="let p of pages" (click)="openPage(p)">
                {{p.title}}
            </button>
            <button menuClose ion-item>
                {{ 'sidemenu.hotline' | translate }}: 090 853 5066
            </button>
        </ion-list>
    </ion-content>
    <ion-footer>
        <ion-toolbar>
            <div class="languages">
                <p>{{ 'sidemenu.change_language' | translate }}</p>
                <div class="group-languages">
                    <button clear [ngClass]="{'active': selectedLang === 'vi'}" (click)="changeLanguage('vi')">
                        VI
                    </button>
                    <button clear (click)="changeLanguage('en')" [ngClass]="{'active': selectedLang === 'en'}">
                        EN
                    </button>
                </div>
            </div>
            <button class="logout" ion-button menuClose round color="danger" (click)="logout()">
                {{ 'sidemenu.logout' | translate }}
            </button>
        </ion-toolbar>
    </ion-footer>
</ion-menu>
<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>